## RBCellRendererPixbuf

RBCellRendererPixbuf — GtkCellRenderer for displaying pixbufs in tree views

## Synopsis

                        RBCellRendererPixbuf;
                        RBCellRendererPixbufClass;
    GtkCellRenderer *   rb_cell_renderer_pixbuf_new         (void);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkCellRenderer
                         +----RBCellRendererPixbuf

## Properties

      "pixbuf"                   GdkPixbuf*            : Read / Write

## Signals

      "pixbuf-clicked"                                 : Run First

## Description

This is similar to GtkCellRendererPixbuf, except that it also emits a signal when the pixbuf is clicked on, and it can only use pixbuf objects.

## Details

### RBCellRendererPixbuf

    typedef struct _RBCellRendererPixbuf RBCellRendererPixbuf;

### RBCellRendererPixbufClass

    typedef struct {
      GtkCellRendererClass parent_class;

      void (*pixbuf_clicked) (RBCellRendererPixbuf *renderer, GtkTreePath *path);
    } RBCellRendererPixbufClass;

### rb_cell_renderer_pixbuf_new ()

    GtkCellRenderer *   rb_cell_renderer_pixbuf_new         (void);

Creates a new RBCellRendererPixbuf.

Returns : | the new cell renderer

## Property Details

### The `"pixbuf"` property

      "pixbuf"                   GdkPixbuf*            : Read / Write

The pixbuf to render in the cell.

## Signal Details

### The `"pixbuf-clicked"` signal

    void                user_function                      (RBCellRendererPixbuf *renderer,
                                                            gchar                *path,
                                                            gpointer              user_data)      : Run First

Emitted when the user clicks on the pixbuf cell.

`renderer` : | the RBCellRendererPixbuf
`path` : | the GtkTreePath to the row that was clicked
`user_data` : | user data set when the signal handler was connected.